curl
curl -sS -X POST "https://gateway.orbit/api/v1/instances/12/rollback" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81' \
-H 'Content-Type: application/json' \
-d '{"release": "20260914T101500Z"}'{
"type": "phase",
"sequence": 123,
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phase": "source_preparation",
"step_name": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Instances
Roll back an Instance
Select one retained production Instance release.
POST
/
api
/
v1
/
instances
/
{instance}
/
rollback
curl
curl -sS -X POST "https://gateway.orbit/api/v1/instances/12/rollback" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81' \
-H 'Content-Type: application/json' \
-d '{"release": "20260914T101500Z"}'{
"type": "phase",
"sequence": 123,
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phase": "source_preparation",
"step_name": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Path Parameters
Numeric Instance ID.
Required range:
x >= 1Body
application/json
Retained release name to select
Response
Newline-delimited JSON events: phase and output events while the Gateway works, then exactly one final result event. A failed operation still ends with a result event.
- Phase event
- Output event
- Result event